> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuroncx.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Event handler (v1)

> Handle a booking event for a specific exam.



## OpenAPI

````yaml POST /prod/event-handler/{examId}
openapi: 3.0.3
info:
  title: NeuronCx API
  version: 1.0.0
  description: >-
    API collection of NeuronCx — Omnichannel Automations & Reasoning. NeuronCx
    APIs use Bearer as an authorization layer. Every API request must contain an
    `Authorization` HTTP header with a token. Tokens can be generated by admin
    role users on https://dash.neuroncx.in/.
servers:
  - url: https://domain-c.neuroncx.in
    description: Carrier domain (domain_c)
  - url: https://domain-g.neuroncx.in
    description: Get/lead domain (domain_g)
  - url: https://domain-i.neuroncx.in
    description: Interactive/messaging domain (domain_i)
  - url: https://events.neuroncx.in
    description: Event handler domain
  - url: https://automation.neuroncx.in
    description: Automation domain
security:
  - bearerAuth: []
tags:
  - name: Prospects
  - name: Messages
  - name: Attributes
  - name: Agent
  - name: Events
paths:
  /prod/event-handler/{examId}:
    post:
      tags:
        - Events
      summary: Event handler (v1)
      operationId: handleEventV1
      parameters:
        - name: examId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              eventName: ''
              relayId: ''
              BookingObject_patientDetails: ''
              BookingObject_patientNumber: ''
              BookingObject_patientEmail: ''
              BookingObject_patientGender: ''
              BookingObject_patientName: ''
              BookingObject_externalpatientId: ''
              BookingObject_externalOrderCollectionType: ''
              BookingObject_externalOrderId: ''
              BookingObject_dateTime: ''
              BookingObject_externalLocationId: ''
              BookingObject_externalSkuId: ''
              BookingObject_orderMemo: ''
              BookingObject_paymentStatus: ''
              BookingObject_paymentLink: ''
      responses:
        '200':
          description: Handled
          content:
            application/json:
              examples:
                success:
                  summary: Success
                  value:
                    success: true
                    message: Event handled successfully
                    traceId: <traceId>
                failure:
                  summary: Failure
                  value:
                    success: false
                    message: error message
                    traceId: <traceId>
      x-codeSamples:
        - lang: JSON
          label: Booking event
          source: |-
            {
              "eventName": "",
              "relayId": "",
              "BookingObject_patientDetails": "",
              "BookingObject_patientNumber": "",
              "BookingObject_patientEmail": "",
              "BookingObject_patientGender": "",
              "BookingObject_patientName": "",
              "BookingObject_externalpatientId": "",
              "BookingObject_externalOrderCollectionType": "",
              "BookingObject_externalOrderId": "",
              "BookingObject_dateTime": "",
              "BookingObject_externalLocationId": "",
              "BookingObject_externalSkuId": "",
              "BookingObject_orderMemo": "",
              "BookingObject_paymentStatus": "",
              "BookingObject_paymentLink": ""
            }
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.